Global Styles Mods – WordPress 5.9 fix

Description

Plugin’s purpose

This plugin fixes styling issues introduced in WordPress 5.9.

👍 When to use this plugin

  • ✅ Your WordPress is of version 5.9 or newer
  • ✅ You are using a theme that supports block editor (Gutenberg) features such as preset font sizes and color palette
  • ✅ Your theme does not support full site editing (FSE) feature (from conversation about reported issues it seems they affect Gutenberg-ready themes only and FSE themes should be fine)
  • ✅ You experience font size or color issues on your website after WordPress 5.9 update
  • ✅ Your theme has not been updated to fix these issues

✋ When NOT to use this plugin

  • You are not using WordPress 5.9 or newer
  • Your theme was updated and is fixing the issues
  • Your theme does not support block editor features (such as preset color palette or font sizes)
  • Your theme is full site editing (FSE) ready
  • You don’t experience any font size or color issues on your website after updating to WordPress 5.9

Technical info

WordPress 5.9 started applying !important rule and is setting up CSS properties (CSS variables) within body selector in its global styles code. This rises the global styles specificity and may override styles coming from themes and plugins. (For more info about this change check “Updates for Settings, Styles, and theme.json” article.)

Global Styles Mods plugin lowers the specificity of WordPress 5.9 global CSS styles by removing !important rules and changing body to :root selector for setting up WordPress CSS properties (CSS variables).

It also enqueues the global styles early enough so your theme or plugin stylesheet have a better chance to override global styles with minimal effort.

The fix applied is coming from issue conversation in Gutenberg GitHub repository.

Screenshots

  • Issues with font sizes after WordPress 5.9 update.

Installation

  1. Unzip the plugin download file and upload global-styles-mods folder into the /wp-content/plugins/ directory.
  2. Activate the plugin through the “Plugins” menu in WordPress.
  3. Plugin has no options and works immediately after activation. The plugin requires WordPress of version 5.9 to run. If you experienced issues with font sizes and/or colors after updating to WordPress 5.9, this plugin should fix them – that’s how you know the plugin is working.

FAQ

It does not work, help!

The plugin requires WordPress 5.9 to work.

Also, it works quietly behind the scenes and simply modifies WordPress global CSS styles code – check your website page source in the browser for comparison when plugin is active vs. when it’s inactive.

If you experienced issues with font sizes and/or colors after updating to WordPress 5.9, this plugin should fix them – that’s how you know the plugin is doing its magic.

Reviews

Read all 1 review

Contributors & Developers

“Global Styles Mods – WordPress 5.9 fix” is open source software. The following people have contributed to this plugin.

Contributors

Changelog

Please see the changelog.md file for details.